propellor-5.18: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell2010

Propellor.Types.PartSpec

Synopsis

- type PartSpec t = (Maybe MountPoint, MountOpts, PartSize -> Partition, t)
- data PartTableSpec = PartTableSpec TableType [PartSpec ()]

# Documentation

type PartSpec t = (Maybe MountPoint, MountOpts, PartSize -> Partition, t) Source #

Specifies a mount point, mount options, and a constructor for a Partition that determines its size.

data PartTableSpec Source #

Specifies a partition table.

Constructors

PartTableSpec TableType [PartSpec ()] |

#### Instances

Instances details

Show PartTableSpec Source # |
Instance details Defined in Propellor.Types.PartSpec Methods showsPrec :: Int -> PartTableSpec -> ShowS show :: PartTableSpec -> String showList :: [PartTableSpec] -> ShowS